// transactedCA.java

package org.objectweb.jonas.jtests.beans.j2eeca;

import java.rmi.RemoteException;
import javax.ejb.EJBObject;

/**
 * transactedCA remote interface
 */
public interface transactedCA extends EJBObject {
    public void method1(java.lang.String s,java.lang.String t) throws RemoteException,Exception;
    public void closeUp(int w) throws RemoteException;
    public String getXid() throws RemoteException;
    public boolean getCMInstance() throws RemoteException;
    public void beginLoTransaction() throws RemoteException;
    public void commitLoTransaction() throws RemoteException, Exception;
    public void rollbackLoTransaction() throws RemoteException;
}
